import type { PrismaConfigInternal } from '@prisma/config';
import { Command, HelpError } from '@prisma/internals';
export declare class DbPull implements Command {
    static new(): DbPull;
    private static help;
    parse(argv: string[], config: PrismaConfigInternal, baseDir?: string): Promise<string | Error>;
    private getWarningMessage;
    help(error?: string): string | HelpError;
}
